# Common files
require 'first-class-postcodes/api_client'
require 'first-class-postcodes/api_error'
require 'first-class-postcodes/version'
require 'first-class-postcodes/configuration'

# Models
require 'first-class-postcodes/models/address'
require 'first-class-postcodes/models/error'
require 'first-class-postcodes/models/error_raw'
require 'first-class-postcodes/models/error_raw_gateway'
require 'first-class-postcodes/models/point'
require 'first-class-postcodes/models/position'
require 'first-class-postcodes/models/typeahead'

# APIs
require 'first-class-postcodes/api/api_api'
require 'first-class-postcodes/api/data_api'

module FCP
  class << self
    # Customize default settings for the SDK using block.
    #   FCP.configure do |config|
    #     config.username = "xxx"
    #     config.password = "xxx"
    #   end
    # If no block given, return the default Configuration object.
    def configure
      if block_given?
        yield(Configuration.default)
      else
        Configuration.default
      end
    end
  end
end
